### Property

# Gtk FileDialog:default-filter

since: 4.10

#### Declaration

    property default-filter: Gtk.FileFilter [ read, write ]

#### Description [src]

The default filter, that is, the filter that is initially active in the file chooser dialog.

If the default filter is `NULL`, the first filter of `GtkFileDialog:filters` is used as the default filter. If that property contains no filter, the dialog will be unfiltered.

If `GtkFileDialog:filters` is not `NULL`, the default filter should be part of the list. If it is not, the dialog may choose to not make it available.

Type: | `GtkFileFilter`
Available since: | 4.10

Getter method | `gtk_file_dialog_get_default_filter()`
Setter method | `gtk_file_dialog_set_default_filter()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no